<?php
require "../../config/config.database.php";
require "../../vendor/autoload.php";
require("../../config/config.function.php");

use PhpOffice\PhpSpreadsheet\Helper\Sample;
use PhpOffice\PhpSpreadsheet\IOFactory;
use PhpOffice\PhpSpreadsheet\Spreadsheet;

$kelas=$_GET['kelas'];
$mapel=$_GET['mapel'];

 

$spreadsheet = new Spreadsheet();
$spreadsheet->getProperties()->setCreator('Edi Sukarna')
->setLastModifiedBy('Edi Sukarna')
->setTitle('Office 2007 XLSX')
->setSubject('Office 2007 XLSX')
->setDescription('Test document for Office 2007 XLSX.')
->setKeywords('office 2007 openxml php')
->setCategory('Test result file');

$spreadsheet->getActiveSheet()->getStyle('A1:Y1')
    ->getFont()->getColor()->setARGB(\PhpOffice\PhpSpreadsheet\Style\Color::COLOR_WHITE);

    $spreadsheet->getActiveSheet()->getStyle('A1:Y1')->getFill()
    ->setFillType(\PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID)
    ->getStartColor()->setARGB('FFFF0000');



$spreadsheet->setActiveSheetIndex(0)
->setCellValue('A1', "No")
->setCellValue('B1', "ID")
->setCellValue('C1', "Kelas")
->setCellValue('D1', "Mapel") 
->setCellValue('E1', "Nama Siswa")
->setCellValue('F1', "TP1")
->setCellValue('G1', "TP2")
->setCellValue('H1', "TP3")
->setCellValue('I1', "TP4")
->setCellValue('J1', "TP5")
->setCellValue('K1', "TP6")
->setCellValue('L1', "TP7")
->setCellValue('M1', "TP8")
->setCellValue('N1', "TP9")
->setCellValue('O1', "TP10")
->setCellValue('P1', "TP11")
->setCellValue('Q1', "TP12")
->setCellValue('R1', "TP13")
->setCellValue('S1', "TP14")
->setCellValue('T1', "TP15")
->setCellValue('U1', "TP16")
->setCellValue('V1', "TP17")
->setCellValue('W1', "TP18")
->setCellValue('X1', "TP19")
->setCellValue('Y1', "TP20");


$i=2; 
$no=1; 
$sql = mysqli_query($koneksi, "SELECT * FROM siswa WHERE id_kelas='$kelas' ");
while($row = mysqli_fetch_array($sql)){ 
$spreadsheet->setActiveSheetIndex(0)
	->setCellValue('A'.$i, $no)
	->setCellValue('B'.$i, $row['id_siswa'])
	->setCellValue('C'.$i, $row['id_kelas'])
	->setCellValue('D'.$i, $mapel)
	->setCellValue('E'.$i, $row['nama'])
	->setCellValue('F'.$i, "")
	->setCellValue('G'.$i, "")
	->setCellValue('H'.$i, "")
	->setCellValue('I'.$i, "")
	->setCellValue('J'.$i, "")
	->setCellValue('K'.$i, "")
	->setCellValue('L'.$i, "")
	->setCellValue('M'.$i, "")
	->setCellValue('N'.$i, "")
	->setCellValue('O'.$i, "")
	->setCellValue('P'.$i, "")
	->setCellValue('Q'.$i, "")
	->setCellValue('R'.$i, "")
	->setCellValue('S'.$i, "")
	->setCellValue('T'.$i, "")
	->setCellValue('U'.$i, "")
	->setCellValue('V'.$i, "")
	->setCellValue('W'.$i, "")
	->setCellValue('X'.$i, "")
	->setCellValue('Y'.$i, "")
		;
	
	$i++; $no++;
}

$spreadsheet->getActiveSheet()->getColumnDimension('A')->setWidth(5); 
$spreadsheet->getActiveSheet()->getColumnDimension('B')->setWidth(0); 
$spreadsheet->getActiveSheet()->getColumnDimension('C')->setWidth(0); 
$spreadsheet->getActiveSheet()->getColumnDimension('D')->setWidth(0); 
$spreadsheet->getActiveSheet()->getColumnDimension('E')->setWidth(35); 
$spreadsheet->getActiveSheet()->getColumnDimension('F')->setWidth(5);
$spreadsheet->getActiveSheet()->getColumnDimension('G')->setWidth(5); 
$spreadsheet->getActiveSheet()->getColumnDimension('H')->setWidth(5);
$spreadsheet->getActiveSheet()->getColumnDimension('I')->setWidth(5); 
$spreadsheet->getActiveSheet()->getColumnDimension('J')->setWidth(5);
$spreadsheet->getActiveSheet()->getColumnDimension('K')->setWidth(5); 
$spreadsheet->getActiveSheet()->getColumnDimension('L')->setWidth(5);
$spreadsheet->getActiveSheet()->getColumnDimension('M')->setWidth(5); 
$spreadsheet->getActiveSheet()->getColumnDimension('N')->setWidth(5);
$spreadsheet->getActiveSheet()->getColumnDimension('O')->setWidth(5);
$spreadsheet->getActiveSheet()->getColumnDimension('P')->setWidth(5);
$spreadsheet->getActiveSheet()->getColumnDimension('Q')->setWidth(5); 
$spreadsheet->getActiveSheet()->getColumnDimension('R')->setWidth(5);
$spreadsheet->getActiveSheet()->getColumnDimension('S')->setWidth(5); 
$spreadsheet->getActiveSheet()->getColumnDimension('T')->setWidth(5);
$spreadsheet->getActiveSheet()->getColumnDimension('U')->setWidth(5); 
$spreadsheet->getActiveSheet()->getColumnDimension('V')->setWidth(5);
$spreadsheet->getActiveSheet()->getColumnDimension('W')->setWidth(5);
$spreadsheet->getActiveSheet()->getColumnDimension('X')->setWidth(5);
$spreadsheet->getActiveSheet()->getColumnDimension('Y')->setWidth(5);
$spreadsheet->getActiveSheet()->setTitle('Formatif-'.$mapel);

$spreadsheet->setActiveSheetIndex(0);


header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');

header("Content-Disposition: attachment; filename=Nilai Formatif Kelas $kelas Mapel $mapel.xlsx");
header('Cache-Control: max-age=0');

header('Cache-Control: max-age=1');


header('Expires: Mon, 26 Jul 1997 05:00:00 GMT'); 
header('Last-Modified: ' . gmdate('D, d M Y H:i:s') . ' GMT'); 
header('Cache-Control: cache, must-revalidate'); 
header('Pragma: public');

$writer = IOFactory::createWriter($spreadsheet, 'Xlsx');
$writer->save('php://output');

?>
